<?php
/**
 * The template for displaying the footer
 *
 * Contains footer content and the closing of the #main and #page div elements.
 *
 * @package ENGOTHEME
 * @subpackage Nemi
 * @since Nemi 1.0
 */
get_sidebar( 'mass-footer-body' );

$footer_profile = apply_filters( 'nemi_fnc_get_footer_profile', 'default' );

?>
		</section><!-- #main -->
		<?php do_action( 'nemi_template_main_after' ); ?>
		<?php do_action( 'nemi_template_footer_before' ); ?>
		<footer id="pbr-footer" class="pbr-footer" role="contentinfo">
			<?php if( $footer_profile ) : ?>
				<div class="inner">
					<?php nemi_fnc_render_post_content( $footer_profile ); ?>
				</div>
			<?php else: ?>
				
			<?php endif; ?>

		</footer><!-- #colophon -->
		<section class="pbr-copyright">
			<div class="container">
				<div class="copyright-content">
					<div class="copyright">
						<?php if(has_nav_menu( 'bottommenu' )): ?>
				            <nav class="pbr-bottommenu" role="navigation">
				                <?php
				                    $args = array(
				                        'theme_location'  => 'bottommenu',
				                        'menu_class'      => 'pbr-menu-bottom list-inline list-square',
				                        'fallback_cb'     => '',
				                        'menu_id'         => 'main-bottommenu'
				                    );
				                    wp_nav_menu($args);
				                ?>
				            </nav>
			            <?php endif; ?>
			            
						<?php do_action( 'nemi_fnc_credits' ); ?>
						<?php
							nemi_display_footer_copyright();
						?>	
					</div>
					<div class="custom-copyright">
						<?php dynamic_sidebar( 'custom-copyright' );  ?>
					</div>
				</div>
			</div>
		</section>
		<?php do_action( 'nemi_template_footer_after' ); ?>
		<?php get_sidebar( 'offcanvas' );  ?>
	</div>
</div>
<div class="scrollup">
	<span class="fa fa-long-arrow-up"></span>
</div>
	<!-- #page -->
<?php wp_footer(); ?>

<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>